---
title: "Replace signer: Step 2 - Replace"
url: "https://docs.signnow.com/docs/document-field-invite/operations/post-field_invite"
type: "endpoint"
section: "document-field-invite"
slug: "document-field-invite/operations/post-field_invite"
method: "POST"
path: "/field_invite"
operation_id: "post-field_invite"
authorization: "bearer"
---

# Replace signer: Step 2 - Replace

`POST /field_invite`

To replace a signer in the invite, API user should follow three steps: delete the invite to the current signer(1), replace a signer(2), and send the invite to the new signer(3). This endpoint allows you to replace a signer in the invite.

## Authorization

bearer

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "email",
    "role_id",
    "is_replace",
    "password",
    "phone"
  ],
  "properties": {
    "email": {
      "type": "string",
      "minLength": 1,
      "description": "New signer's email address."
    },
    "phone": {
      "type": "string",
      "description": "required if `\"authentication_type\": \"phone\"`.\nPhone number requested for identity verification."
    },
    "role_id": {
      "type": "string",
      "minLength": 1,
      "description": "The role id for the new signer. You can find it in the response from `GET /document/{{document_id}}` request as the `role_id` parameter in the `field_invites` array."
    },
    "password": {
      "type": "string",
      "minLength": 1,
      "description": "required if `\"authentication_type\": \"password\"`.\nPassword requested for identity verification."
    },
    "reminder": {
      "type": "number",
      "description": "In how many days to send a reminder to the signer; 30 days max."
    },
    "is_replace": {
      "type": "boolean",
      "description": "Boolean: determines whether to use the subject, message, and order of signing specified in the invite to the previous signer. Possible values: `\"true\"` - yes, keep the subject, message, and order of signing from the previous signer's invite; `\"false\"` - use the subject, message, and the order of signing from this payload."
    },
    "expiration_days": {
      "type": "number",
      "description": "In how many days the invite expires; 30 days max."
    },
    "authentication_type": {
      "type": "string",
      "minLength": 1,
      "description": "Type of recipient's identity verification. Possible values: `\"password\"` or `\"phone\"`."
    },
    "decline_by_signature": {
      "type": "number",
      "description": "Adds the `Decline` button to the Signature field for the signer. Possible values: 0 - no `Decline` button, 1- add the `Decline` button."
    }
  },
  "x-examples": {
    "example-1": {
      "email": "new_signer@email.com",
      "role_id": "d9b491bd632e25cc5ec1a3b0b83dfccc164382bd",
      "password": "123456",
      "reminder": 0,
      "is_replace": true,
      "expiration_days": 30,
      "authentication_type": "password",
      "decline_by_signature": 0
    }
  },
  "description": ""
}
```

**Example** (`example-1`)

```json
{
  "email": "new_signer@email.com",
  "role_id": "d9XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "password": "123456",
  "reminder": 0,
  "is_replace": true,
  "expiration_days": 30,
  "authentication_type": "password",
  "decline_by_signature": 0
}
```

## Responses

### 200

Returns a new invite ID if the request is successful. Returns an error when the request is sent with an incorrect email or role ID.

* Incorrect access token, "code": 1537. Message: "invalid_token"
* Incorrect email, "code": 65538. Message: "Email must be a valid email."
* Incorrect role id, "code": 65582. Message: "Role does not exist."
* Send correct request for the second time, "code": 65615. Message: "Invite already exists."

**Example** (`example-1`)

```json
{
  "id": "30XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/field_invite" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"email": "new_signer@email.com", "role_id": "d9XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX", "password": "123456", "reminder": 0, "is_replace": true, "expiration_days": 30, "authentication_type": "password", "decline_by_signature": 0}'
```

---
*Full reference: https://docs.signnow.com/docs/document-field-invite/operations/post-field_invite*
